import Enumerable from './enumerable';

export default Enumerable.create({
  EUR: {
    countries: [
      'AT', 'BE', 'CY', 'NL', 'EE', 'FI', 'FR', 'DE', 'GR', 'IE', 'IT',
      'LV', 'LT', 'LU', 'MT', 'MC', 'PT', 'SM', 'SK', 'SI', 'ES', 'VA'
    ],
    code: 'EUR',
    symbol: '€'
  },
  GBP: {
    countries: ['GB'],
    code: 'GBP',
    symbol: '£'
  },
  USD: {
    countries: ['US', 'FM', 'MH', 'PW', 'EC', 'SV', 'TL'],
    code: 'USD',
    symbol: '$'
  },
  CAD: {
    countries: ['CA'],
    code: 'CAD',
    symbol: 'CA$'
  },
  AED: {
    countries: ['AE'],
    code: 'AED',
    symbol: 'د.إ'
  },
  AFN: {
    countries: ['AF'],
    code: 'AFN',
    symbol: '؋'
  },
  ALL: {
    countries: ['AL'],
    code: 'ALL',
    symbol: 'L'
  },
  AMD: {
    countries: ['AM'],
    code: 'AMD',
    symbol: '֏'
  },
  ARS: {
    countries: ['AR'],
    code: 'ARS',
    symbol: 'AR$'
  },
  AUD: {
    countries: ['AU'],
    code: 'AUD',
    symbol: 'AU$'
  },
  AZN: {
    countries: ['AZ'],
    code: 'AZN',
    symbol: '₼'
  },
  BAM: {
    countries: ['BA'],
    code: 'BAM',
    symbol: 'KM'
  },
  BDT: {
    countries: ['BD'],
    symbol: '৳',
    code: 'BDT'
  },
  BGN: {
    countries: ['BG'],
    code: 'BGN',
    symbol: 'Лв.'
  },
  BHD: {
    countries: ['BH'],
    symbol: 'BD',
    code: 'BHD'
  },
  BIF: {
    countries: ['BI'],
    symbol: 'FBu',
    code: 'BIF'
  },
  BND: {
    countries: ['BN'],
    symbol: 'BN$',
    code: 'BND'
  },
  BOB: {
    countries: ['BO'],
    symbol: 'Bs',
    code: 'BOB'
  },
  BRL: {
    countries: ['BR'],
    symbol: 'R$',
    code: 'BRL'
  },
  BWP: {
    countries: ['BW', 'ZW'],
    symbol: 'P',
    code: 'BWP'
  },
  BYR: {
    countries: ['BY'],
    symbol: 'BYR',
    code: 'BYR'
  },
  BZD: {
    countries: ['BZ'],
    symbol: 'BZ$',
    code: 'BZ'
  },
  CDF: {
    countries: ['CD'],
    symbol: 'FC',
    code: 'CDF'
  },
  CHF: {
    countries: ['CH', 'LI'],
    symbol: 'CHF',
    code: 'CHF'
  },
  CLP: {
    countries: ['CL'],
    symbol: 'CL$',
    code: 'CLP'
  },
  CNY: {
    countries: ['CN'],
    symbol: 'CN¥',
    code: 'CNY'
  },
  COP: {
    countries: ['CO'],
    symbol: 'CO$',
    code: 'COP'
  },
  CRC: {
    countries: ['CR'],
    symbol: '₡',
    code: 'CRC'
  },
  CVE: {
    countries: ['CV'],
    symbol: 'CV$',
    code: 'CVE'
  },
  CZK: {
    countries: ['CZ'],
    symbol: 'Kč',
    code: 'CZK'
  },
  DJF: {
    countries: ['DJ'],
    symbol: 'Fdj',
    code: 'DJF'
  },
  DKK: {
    countries: ['DK', 'FO', 'GL'],
    symbol: 'Kr.',
    code: 'DKK'
  },
  DOP: {
    countries: ['DO'],
    symbol: 'RD$',
    code: 'DOP'
  },
  DZD: {
    countries: ['DZ'],
    symbol: 'دج',
    code: 'DZD'
  },
  EGP: {
    countries: ['EG'],
    symbol: 'E£',
    code: 'EGP'
  },
  ERN: {
    countries: ['ER'],
    symbol: 'Nfk',
    code: 'ERN'
  },
  ETB: {
    countries: ['ET'],
    symbol: 'Br',
    code: 'ETB'
  },
  GEL: {
    countries: ['GE'],
    symbol: 'GEL',
    code: 'GEL'
  },
  GHS: {
    countries: ['GH'],
    symbol: 'GH₵',
    code: 'GHS'
  },
  GNF: {
    countries: ['GN'],
    symbol: 'FG',
    code: 'GNF'
  },
  GTQ: {
    countries: ['GT'],
    symbol: 'GTQ',
    code: 'GTQ'
  },
  HKD: {
    countries: ['HK'],
    symbol: 'HK$',
    code: 'HKD'
  },
  HNL: {
    countries: ['HN'],
    symbol: 'L',
    code: 'HNL'
  },
  HRK: {
    countries: ['HR'],
    symbol: 'kn',
    code: 'HRK'
  },
  HUF: {
    countries: ['HU'],
    symbol: 'Ft',
    code: 'HUF'
  },
  IDR: {
    countries: ['ID'],
    symbol: 'Rp',
    code: 'IDR'
  },
  ILS: {
    countries: ['IL'],
    symbol: '₪',
    code: 'ILS'
  },
  INR: {
    countries: ['IN'],
    symbol: '₹',
    code: 'INR'
  },
  IQD: {
    countries: ['IQ'],
    symbol: 'ع.د',
    code: 'IQD'
  },
  IRR: {
    countries: ['IR'],
    symbol: '﷼',
    code: 'IRR'
  },
  ISK: {
    countries: ['IS'],
    symbol: 'Íkr',
    code: 'ISK'
  },
  JMD: {
    countries: ['JM'],
    symbol: 'J$',
    code: 'JMD'
  },
  JOD: {
    countries: ['JO'],
    symbol: 'د.ا',
    code: 'JOD'
  },
  JPY: {
    countries: ['JP'],
    symbol: '¥',
    code: 'JPY'
  },
  KES: {
    countries: ['KE'],
    symbol: 'Ksh',
    code: 'KES'
  },
  KHR: {
    countries: ['KH'],
    symbol: '៛',
    code: 'KHR'
  },
  KMF: {
    countries: ['KM'],
    symbol: 'CF',
    code: 'KMF'
  },
  KRW: {
    countries: ['KR'],
    symbol: '₩',
    code: 'KRW'
  },
  KWD: {
    countries: ['KW'],
    symbol: 'KD',
    code: 'KWD'
  },
  KZT: {
    countries: ['KZ'],
    symbol: '₸',
    code: 'KZT'
  },
  LBP: {
    countries: ['LB'],
    symbol: 'ل.ل.‎',
    code: 'LBP'
  },
  LKR: {
    countries: ['LK'],
    symbol: 'LKRs',
    code: 'LKR'
  },
  LYD: {
    countries: ['LY'],
    symbol: 'LD',
    code: 'LYD'
  },
  MAD: {
    countries: ['MA'],
    symbol: 'DH',
    code: 'MAD'
  },
  MDL: {
    countries: ['MD'],
    symbol: 'L',
    code: 'MDL'
  },
  MGA: {
    countries: ['MG'],
    symbol: 'MGA',
    code: 'MGA'
  },
  MKD: {
    countries: ['MK'],
    symbol: 'Ден',
    code: 'MKD'
  },
  MMK: {
    countries: ['MM'],
    symbol: 'K',
    code: 'MMK'
  },
  MOP: {
    countries: ['MO'],
    symbol: 'MOP$',
    code: 'MOP'
  },
  MUR: {
    countries: ['MU'],
    symbol: 'MURs',
    code: 'MUR'
  },
  MXN: {
    countries: ['MX'],
    symbol: 'MX$',
    code: 'MXN'
  },
  MYR: {
    countries: ['MY'],
    symbol: 'RM',
    code: 'MYR'
  },
  MZN: {
    countries: ['MZ'],
    symbol: 'MT',
    code: 'MZN'
  },
  NAD: {
    countries: ['NA'],
    symbol: 'N$',
    code: 'NAD'
  },
  NGN: {
    countries: ['NG'],
    symbol: '₦',
    code: 'NGN'
  },
  NIO: {
    countries: ['NI'],
    symbol: 'C$',
    code: 'NIO'
  },
  NOK: {
    countries: ['NO'],
    symbol: 'kr',
    code: 'NOK'
  },
  NPR: {
    countries: ['NP'],
    symbol: 'NPRs',
    code: 'NPR'
  },
  NZD: {
    countries: ['NZ'],
    symbol: 'NZ$',
    code: 'NZD'
  },
  OMR: {
    countries: ['OM'],
    symbol: 'ر.ع.',
    code: 'OMR'
  },
  PAB: {
    countries: ['PA'],
    symbol: 'B/.',
    code: 'PAB'
  },
  PEN: {
    countries: ['PE'],
    symbol: 'S/',
    code: 'PEN'
  },
  PHP: {
    countries: ['PH'],
    symbol: '₱',
    code: 'PHP'
  },
  PKR: {
    countries: ['PK'],
    symbol: 'PKRs',
    code: 'PKR'
  },
  PLN: {
    countries: ['PL'],
    symbol: 'zł',
    code: 'PLN'
  },
  PYG: {
    countries: ['PY'],
    symbol: '₲',
    code: 'PYG'
  },
  QAR: {
    countries: ['QA'],
    symbol: 'QR',
    code: 'QAR'
  },
  RON: {
    countries: ['RO'],
    symbol: 'lei',
    code: 'RON'
  },
  RSD: {
    countries: ['RS'],
    symbol: 'din',
    code: 'RSD'
  },
  RUB: {
    countries: ['RU'],
    symbol: '₽',
    code: 'RUB'
  },
  RWF: {
    countries: ['RW'],
    symbol: 'RF',
    code: 'RWF'
  },
  SAR: {
    countries: ['SA'],
    symbol: 'SR',
    code: 'SAR'
  },
  SDG: {
    countries: ['SD'],
    symbol: 'ج.س',
    code: 'SDG'
  },
  SEK: {
    countries: ['SE'],
    symbol: 'Skr',
    code: 'SEK'
  },
  SGD: {
    countries: ['SG'],
    symbol: 'S$',
    code: 'SGD'
  },
  SOS: {
    countries: ['SO'],
    symbol: 'Sh.so.',
    code: 'SOS'
  },
  SYP: {
    countries: ['SO'],
    symbol: '£S',
    code: 'SYP'
  },
  THB: {
    countries: ['TH'],
    symbol: '฿',
    code: 'THB'
  },
  TND: {
    countries: ['TN'],
    symbol: 'DT',
    code: 'TND'
  },
  TOP: {
    countries: ['TO'],
    symbol: 'T$',
    code: 'TOP'
  },
  TRY: {
    countries: ['TR'],
    symbol: '₺',
    code: 'TRY'
  },
  TTD: {
    countries: ['TT'],
    symbol: 'TT$',
    code: 'TTD'
  },
  TWD: {
    countries: ['TW'],
    symbol: 'NT$',
    code: 'TWD'
  },
  TZS: {
    countries: ['TZ'],
    symbol: 'TSh',
    code: 'TZS'
  },
  UAH: {
    countries: ['UA'],
    symbol: '₴',
    code: 'UAH'
  },
  UGX: {
    countries: ['UG'],
    symbol: 'USh',
    code: 'UGX'
  },
  UYU: {
    countries: ['UY'],
    symbol: '$U',
    code: 'UYU'
  },
  UZS: {
    countries: ['UZ'],
    symbol: 'so\'m',
    code: 'UZS'
  },
  VEF: {
    countries: ['VE'],
    symbol: 'Bs.S.',
    code: 'VEF'
  },
  VND: {
    countries: ['VN'],
    symbol: '₫',
    code: 'VND'
  },
  XAF: {
    countries: ['CM', 'CF', 'TD', 'CG', 'GQ', 'GA'],
    symbol: 'FCFA',
    code: 'XAF'
  },
  XOF: {
    countries: ['BJ', 'BF', 'GW', 'CI', 'ML', 'NE', 'SN', 'TG'],
    symbol: 'CFA',
    code: 'XOF'
  },
  YER: {
    countries: ['YE'],
    symbol: '﷼',
    code: 'YER'
  },
  ZAR: {
    countries: ['ZA', 'LS', 'NA', 'SZ'],
    symbol: 'R',
    code: 'ZAR'
  },
  ZMK: {
    countries: ['ZM'],
    symbol: 'ZK',
    code: 'ZMK'
  }
});
